# Role: hugepages

## Description

Enables hugepages on a Linux system.

https://wiki.debian.org/Hugepages#Enabling_HugeTlbPage

## Usage

Using in a playbook:

```yaml
- name: Play
  gather_facts: true
  gather_subset:
    - distribution
  hosts:
    - all
  roles:
    - samuliy.ansible.hugepages
  vars:
    ...
```

### Vars

`hugepages_group`:

Group for hugepages access.

`hugepages_mountpoint`:

Mountpoint for the hugepages device.

`hugepages_nr`:

Number of hugepages.

`hugepages_users`:

Users to add to the hugepages group.

`hugepages_sysctl_file`:

File where to install the sysctl config.
